osgDB::FieldReader Class Reference

`#include <Input>`

## Public Member Functions

| FieldReader ()
| FieldReader (const FieldReader &ic)
virtual | ~FieldReader ()
virtual FieldReader & | operator= (const FieldReader &ic)
void | attach (std::istream *input)
void | detach ()
virtual bool | eof () const
bool | readField (Field &fieldPtr)
void | ignoreField ()

## Detailed Description

deprecated.

## Constructor & Destructor Documentation

## FieldReader() [1/2]

osgDB::FieldReader::FieldReader | ( |  | ) |

Referenced by FieldReader(), ignoreField(), and operator=().

## FieldReader() [2/2]

osgDB::FieldReader::FieldReader | ( | const FieldReader & | ic | ) |

References FieldReader().

## ~FieldReader()

virtual osgDB::FieldReader::~FieldReader | ( |  | ) |

virtual

## Member Function Documentation

## attach()

void osgDB::FieldReader::attach | ( | std::istream * | input | ) |

## detach()

void osgDB::FieldReader::detach | ( |  | ) |

## eof()

virtual bool osgDB::FieldReader::eof | ( |  | ) | const

virtual

## ignoreField()

void osgDB::FieldReader::ignoreField | ( |  | ) |

References FieldReader().

## operator=()

virtual FieldReader & osgDB::FieldReader::operator= | ( | const FieldReader & | ic | ) |

virtual

References FieldReader().

## readField()

bool osgDB::FieldReader::readField | ( | Field & | fieldPtr | ) |

The documentation for this class was generated from the following file:

- osgDB/Input